project{
	targets{
		
		doLoadDependencies{
			/*
			 * This ant task element is the groovy ant task that already exists in the ant project
			 * @param bean	Fully qualified delegate class name
			 */
			groovy{
				bean = "org.openscm.kundo.plugins.LoadDependenciesDelegate"
			}
		}

		doCopyDependencies{
			/*
			 * This ant task element is the groovy ant task that already exists in the ant project
			 * @param bean	Fully qualified delegate class name
			 */
			groovy{
				bean = "org.openscm.kundo.plugins.CopyDependenciesDelegate"
			}
		}

		doInstallArtifact{
			/*
			 * This ant task element is the groovy ant task that already exists in the ant project
			 * @param bean	Fully qualified delegate class name
			 * @param pluginIdSuffix	a suffix for the plugin id to allow discreet property loading
			 */
			groovy{
				bean = "org.openscm.kundo.plugins.InstallDeployDelegate"
				pluginIdSuffix = "install.artifact"
			}
		}

		doDeployArtifact{
			/*
			 * This ant task element is the groovy ant task that already exists in the ant project
			 * @param bean	Fully qualified delegate class name
			 * @param pluginIdSuffix	a suffix for the plugin id to allow discreet property loading
			 */
			groovy{
				bean = "org.openscm.kundo.plugins.InstallDeployDelegate"
				pluginIdSuffix = "deploy.artifact"
			}
		}

		doInstallPom{
			/*
			 * This ant task element is the groovy ant task that already exists in the ant project
			 * @param bean	Fully qualified delegate class name
			 * @param pluginIdSuffix	a suffix for the plugin id to allow discreet property loading
			 */
			groovy{
				bean = "org.openscm.kundo.plugins.InstallDeployDelegate"
				pluginIdSuffix = "install.pom"
			}
		}

		doDeployPom{
			/*
			 * This ant task element is the groovy ant task that already exists in the ant project
			 * @param bean	Fully qualified delegate class name
			 * @param pluginIdSuffix	a suffix for the plugin id to allow discreet property loading
			 */
			groovy{
				bean = "org.openscm.kundo.plugins.InstallDeployDelegate"
				pluginIdSuffix = "deploy.pom"
			}
		}
	}
}